Bug 98797 - MAILMERGE: Crash or freeze when "Send E-Mail Messages"
Summary: MAILMERGE: Crash or freeze when "Send E-Mail Messages"
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: high critical
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2016-03-21 12:21 UTC by Cor Nouws
Modified: 2016-10-28 12:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace of crash on Windows, LibO 5.2 (10.09 KB, text/plain)
2016-03-31 10:16 UTC, Buovjaga
Details
GDB trace of crash when trying to set up email (25.66 KB, text/plain)
2016-08-02 18:07 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2016-03-21 12:21:32 UTC
Version: 5.2.0.0.alpha0+
Build ID: b86b97e54590872fc0ea85fbea22c2d00d241181
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-03-19_00:48:09
Locale: nl-NL (nl_NL.UTF-8)

1. Open document with database fields
2. Start Tools > Mail Merge Wizard
3. Cancel the Wizard without doing anything there
4. Click "Send E-mail Messages"
   choose correct field for e-mail
   choose Send as HTML (default)
   add Subject
   click "Send documents"
   
   > Sending starts, but with ~2 documents from the end of the number in te table, Writer crashes.
 
 Sometimes LibreOffice does not crash but freezes.
Comment 1 Buovjaga 2016-03-31 10:16:13 UTC
Created attachment 123983 [details]
Backtrace of crash on Windows, LibO 5.2

Missing note from steps: after you click Cancel from the wizard, a new toolbar stays open and there is the button Send email messages.

Got test files from a random bug report (bug 95251) and edited .ods to input an email address.

The first time it didn't crash. The first time, I entered my email settings. It didn't email anything, though.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 15b53976e5d119877e53f34b34cee33a5f2883fd
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-03-22_23:57:30
Locale: fi-FI (fi_FI)
Comment 2 Robinson Tryon (qubit) 2016-05-12 06:06:26 UTC
TESTING with
LO 5.2.0.0.alpha1+
OS Version: Mac OS X 10.10.5
Build: 2016-05-11_01:01:27

(In reply to Cor Nouws from comment #0)
> 1. Open document with database fields

Presumably with an email address field?

> 2. Start Tools > Mail Merge Wizard
> 3. Cancel the Wizard without doing anything there
> 4. Click "Send E-mail Messages"
>    choose correct field for e-mail
>    choose Send as HTML (default)
>    add Subject
>    click "Send documents"

(If I don't have SMTP information pre-configured, I (continue to) get a blank pop-up "Info" dialog with buttons Yes, No, and Cancel at this point)

>    
>    > Sending starts, 

Sending started (or appeared to), but then momentarily showed some error messages in a pop-up dialog.

> but with ~2 documents from the end of the number in te
> table, Writer crashes.
>  
>  Sometimes LibreOffice does not crash but freezes.

LibreOffice froze. Eventually the OS X beach ball appeared, but the app never became responsive.
Comment 3 Caolán McNamara 2016-06-02 19:46:19 UTC
I don't see a problem, but I only did very ad-hoc testing. This was reported against b86b97e54590872fc0ea85fbea22c2d00d241181 so I wonder if a4d300f559c4c5704133c01efa6fbcd9193a16c8 and other earlier mail merge changes in the few days before that are relevent to this
Comment 4 Michael Stahl 2016-06-15 21:37:30 UTC
i might have fixed this, or maybe not, well i didn't even try to reproduce it :)
please re-open if it still happens on master
Comment 5 Commit Notification 2016-06-15 21:38:10 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa35f2981334ba2e5aed4269fe851054bbc584dc

tdf#98797 sw: try to fix crash in SwMailDispatcherListener_Impl

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-06-16 11:04:38 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0cfaabfc9457d15c819811a10deaf00eaef0e260&h=libreoffice-5-2

tdf#98797 sw: try to fix crash in SwMailDispatcherListener_Impl

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Buovjaga 2016-08-02 18:07:55 UTC
Created attachment 126522 [details]
GDB trace of crash when trying to set up email

I tried to verify the fix in 5.3, but ran into an earlier crash: it happens, if I don't have email set up yet.

1. Launch writer and open MM toolbar from View
2. Click the MM wizard button and cancel out
3. Now that all the toolbar buttons get activated, click Send email messages
4. Click Send documents and answer Yes to the question on setting up email
Now it should crash.

It crashed also on Windows.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: c1b665fcdacd4141137f1e369527e2c0d94513ae
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on July 26th 2016
Comment 8 Buovjaga 2016-08-08 10:43:51 UTC
Created bug 101383 for the email crash.
Comment 9 Buovjaga 2016-09-29 10:44:46 UTC
Finally managed to test this.
I don't get a crash. Of course, Cor is urged to test.

Win 7 Pro 64-bit Version: 5.3.0.0.alpha0+
Build ID: 3d9231dd4945dcd6c3d53ba11152049d382b975f
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-09-28_02:14:14
Locale: fi-FI (fi_FI); Calc: CL
Comment 10 Cor Nouws 2016-10-28 12:55:31 UTC
Tried to test in daily2016-10-28. It still freezes, but that may be related to bug 103363 ?